Requirements - assure_mimix - 10.0

Assure MIMIX Administrator Reference

Product type
Software
Portfolio
Integrate
Product family
Assure
Product
Assure MIMIX™ Software
Version
10.0
Language
English
Product name
Assure MIMIX
Title
Assure MIMIX Administrator Reference
Copyright
2023
First publish date
1999
ft:lastEdition
2024-05-07
ft:lastPublication
2024-05-07T13:36:02.962500

To ensure that MIMIX will properly replicate all of the data within protected rows and columns and will replicate operations on the permissions or masks, the MIMIXOWN user profile must be an allowed user of the QIBM_DB_SECADM function on all systems within the MIMIX instance.

Other requirements are:

  • All systems in the data group must be running IBM i 7.3 or higher.

  • Data groups that replicate files with permissions or masks must be of type *ALL or *DB.

  • The file must be identified for user journal replication. Data group entries that identify the file must specify COOPDB(*YES) and must include *FILE as a specified value for COOPTYPE.

If MIMIXOWN is not granted function usage authorization to QIBM_DB_SECADM on both source and target systems, data for the protected rows or columns will not be available on the target system. This would adversely affect the ability to use that system in the event of a switch. Also, MIMIXOWN would not have authority to replicate operations on the permissions or masks.

If MIMIX attempts to replicate a file when MIMIXOWN has not been granted function usage, the database apply process will place the file on hold and will issue error message LVE3767.